Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 5053 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

písanie textu v presnej pozícií

 Odpovědět Odpovědět archiv
Autor
cvirikovec Zobrazit panel
Diskutér
Diskutér

Přihlášen: 28.zář.2010
Lokalita: Slovensko
Používám:
Autocad 2018
Stav: Offline
Bodů: 83
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace cvirikovec Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: písanie textu v presnej pozícií
    Zasláno: 29.zář.2021 v 11:38
Ahojte.
Potreboval by som aby mi presne na čiare v určitom staničení urobilo bod s textom.
Teda, mám čiaru čo ja viem 100m, mám zoznam staničení že v 2,054 v 3,055 v 4,555 je objekt. 
A ja chcem aby mi nejako hromadne podľa tých staničení na čiare urobilo bod s textom objekt.
(niečo podobné ako ASCPoint len nie podľa súradníc ale podľa čiary)

Je niečo takéto?
ďakujem 
Embarrassed

Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20261
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 29.zář.2021 v 13:03
Buď pomocí lineárních referenčních systémů v AutoCADu Map 3D či Civil 3D nebo pomocí naší freeware utility TraceCurve - viz:
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
cvirikovec Zobrazit panel
Diskutér
Diskutér

Přihlášen: 28.zář.2010
Lokalita: Slovensko
Používám:
Autocad 2018
Stav: Offline
Bodů: 83
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace cvirikovec Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 30.zář.2021 v 09:43
No ten TraceCurve práve nevie robiť naraz ale vždy musím napísať jednu hodnotu

Zpět nahoru
johny Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 24.led.2006
Lokalita: ČR (JM)
Používám:
C3D 2022
Stav: Offline
Bodů: 1624
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace johny Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 30.zář.2021 v 10:51
Tak zkuste toto.
Vyplníte červené. Seznam staničení, jméno bloku, o/upravíte seznam atributů


(vl-load-com)

(defun c:StationMark ( / *error* atr atd sts blk pt pr an)
  
  (defun *error* (errmsg)
    (if (not (wcmatch errmsg "Function cancelled,quit / exit abort,console break,end"))
      (princ (strcat "\nError: " errmsg)))
    (if atr (setvar 'attreq atr))
    (if atd (setvar 'attdia atd))
    (princ))
  
  
  (setq sts '(                        ;; add list of stations, one station per line
      200.1
      300
      400
      )
blk "StationMark"   ;; change block name if needed
)
  
  (setq atr (getvar 'attreq)) (setvar 'attreq 1)
  (setq atd (getvar 'attdia)) (setvar 'attdia 0)
  
  (if (and (setq pl (car (entsel "\nSelect alignment pline: ")))
   (or (tblsearch "block" blk)
       (prompt "Error: Block unavailable.")))
    (foreach st sts
      (if (and (setq pt (vlax-curve-getPointatDist pl st))
       (setq pr (vlax-curve-getParamAtDist pl st))
       (setq an (vlax-curve-getFirstDeriv  pl pr))
       )
(command "_.-insert" blk "_s" 1 "_r" (angtos (angle '(0 0 0) an) (getvar 'aunits) 8) "_non" pt
 
(strcat (rtos st 2 2) " m")  ;; list of atts or use "some text" or add ";" if no-att block
 
))))
  (*error* "end")
  )


Upravil johny - 30.zář.2021 v 12:32
Zpět nahoru
cvirikovec Zobrazit panel
Diskutér
Diskutér

Přihlášen: 28.zář.2010
Lokalita: Slovensko
Používám:
Autocad 2018
Stav: Offline
Bodů: 83
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace cvirikovec Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 30.zář.2021 v 11:24
Tak Johny ďakujem ti fakt veľmi pekne :)
Funguje to super.

Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 11421:VIPPosunuté nebo širší texty v DWG při úpravě vlastností ve Vaultu.
Tip 10898:VIPRozmazané texty nebo nesprávné zobrazení UI ve vysokém rozlišení.
Tip 3730:VIPPřidání masky pozadí pro vybrané texty výkresu najednou.
Tip 8207:VIPUzamčené, needitovatelné texty ve výkresu Civilu 2012.
Tip 7400:VIPInventor - iPrvek - s automatickým předáním vlastnosti (textu).
Tip 7035:VIPPohodlné psaní textu podél libovolné křivky.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,219 sekund.